# CUpti_Profiler_CounterDataImageOptions Struct Reference
[CUPTI Profiling API]

Input parameter to define the counterDataImage.

## Data Fields
size_t | counterDataPrefixSize
| [in] Size of CounterDataPrefix generated from NVPW_CounterDataBuilder_GetCounterDataPrefix().
uint32_t | maxNumRanges
| [in] Maximum number of ranges that can be profiled
uint32_t | maxNumRangeTreeNodes
| [in] Maximum number of RangeTree nodes; must be >= maxNumRanges
uint32_t | maxRangeNameLength
| [in] Maximum string length of each RangeName, including the trailing NULL character
const uint8_t * | pCounterDataPrefix
void * | pPriv
| [in] assign to NULL
size_t | structSize
| [in] CUpti_Profiler_CounterDataImageOptions_Params_STRUCT_SIZE

## Field Documentation

const uint8_t* CUpti_Profiler_CounterDataImageOptions::pCounterDataPrefix

[in] Address of CounterDataPrefix generated from NVPW_CounterDataBuilder_GetCounterDataPrefix(). Must be align(8).